Package ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws

# Class GenericResult

java.lang.Object
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.com.provider.uws.GenericResult

Direct Known Subclasses:
  `CancelTransactionResult`, `ChangePasswordResult`, `CheckTransactionResult`, `GetInformationResult`, `GetStatementResult`, `PerformTransactionResult`

public class GenericResult extends Object

Java class for GenericResult complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenericResult">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="errorMsg" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="status" type="{http://www.w3.org/2001/XMLSchema}int"/>
             <element name="timeStamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `errorMsg`
  `protected int`
  `status`
  `protected XMLGregorianCalendar`
  `timeStamp`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenericResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getErrorMsg()`
  Gets the value of the errorMsg property.
  `int`
  `getStatus()`
  Gets the value of the status property.
  `XMLGregorianCalendar`
  `getTimeStamp()`
  Gets the value of the timeStamp property.
  `void`
  `setErrorMsg(String value)`
  Sets the value of the errorMsg property.
  `void`
  `setStatus(int value)`
  Sets the value of the status property.
  `void`
  `setTimeStamp(XMLGregorianCalendar value)`
  Sets the value of the timeStamp property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### errorMsg

    protected String errorMsg

  - ### status

    protected int status

  - ### timeStamp

    protected XMLGregorianCalendar timeStamp

- ## Constructor Details

  - ### GenericResult

    public GenericResult()

- ## Method Details

  - ### getErrorMsg

    public String getErrorMsg()
    Gets the value of the errorMsg property.
    Returns:
      possible object is `String`

  - ### setErrorMsg

    public void setErrorMsg(String value)
    Sets the value of the errorMsg property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStatus

    public int getStatus()
    Gets the value of the status property.

  - ### setStatus

    public void setStatus(int value)
    Sets the value of the status property.

  - ### getTimeStamp

    public XMLGregorianCalendar getTimeStamp()
    Gets the value of the timeStamp property.
    Returns:
      possible object is `XMLGregorianCalendar`

  - ### setTimeStamp

    public void setTimeStamp(XMLGregorianCalendar value)
    Sets the value of the timeStamp property.
    Parameters:
      `value` - allowed object is `XMLGregorianCalendar`